// Code generated by protoc-gen-go-grpc. DO NOT EDIT.

package v1

import (
	context "context"
	grpc "google.golang.org/grpc"
	codes "google.golang.org/grpc/codes"
	status "google.golang.org/grpc/status"
)

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
// Requires gRPC-Go v1.32.0 or later.
const _ = grpc.SupportPackageIsVersion7

// RestoreServiceClient is the client API for RestoreService service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://pkg.go.dev/google.golang.org/grpc/?tab=doc#ClientConn.NewStream.
type RestoreServiceClient interface {
	FetchRestoreToProcess(ctx context.Context, in *FetchRestoreToProcessRequest, opts ...grpc.CallOption) (*FetchRestoreToProcessResponse, error)
	UpdateRestore(ctx context.Context, in *UpdateRestoreRequest, opts ...grpc.CallOption) (*UpdateRestoreResponse, error)
}

type restoreServiceClient struct {
	cc grpc.ClientConnInterface
}

func NewRestoreServiceClient(cc grpc.ClientConnInterface) RestoreServiceClient {
	return &restoreServiceClient{cc}
}

func (c *restoreServiceClient) FetchRestoreToProcess(ctx context.Context, in *FetchRestoreToProcessRequest, opts ...grpc.CallOption) (*FetchRestoreToProcessResponse, error) {
	out := new(FetchRestoreToProcessResponse)
	err := c.cc.Invoke(ctx, "/api.infranetes.autodevops.v1.RestoreService/FetchRestoreToProcess", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *restoreServiceClient) UpdateRestore(ctx context.Context, in *UpdateRestoreRequest, opts ...grpc.CallOption) (*UpdateRestoreResponse, error) {
	out := new(UpdateRestoreResponse)
	err := c.cc.Invoke(ctx, "/api.infranetes.autodevops.v1.RestoreService/UpdateRestore", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// RestoreServiceServer is the server API for RestoreService service.
// All implementations should embed UnimplementedRestoreServiceServer
// for forward compatibility
type RestoreServiceServer interface {
	FetchRestoreToProcess(context.Context, *FetchRestoreToProcessRequest) (*FetchRestoreToProcessResponse, error)
	UpdateRestore(context.Context, *UpdateRestoreRequest) (*UpdateRestoreResponse, error)
}

// UnimplementedRestoreServiceServer should be embedded to have forward compatible implementations.
type UnimplementedRestoreServiceServer struct {
}

func (UnimplementedRestoreServiceServer) FetchRestoreToProcess(context.Context, *FetchRestoreToProcessRequest) (*FetchRestoreToProcessResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method FetchRestoreToProcess not implemented")
}
func (UnimplementedRestoreServiceServer) UpdateRestore(context.Context, *UpdateRestoreRequest) (*UpdateRestoreResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method UpdateRestore not implemented")
}

// UnsafeRestoreServiceServer may be embedded to opt out of forward compatibility for this service.
// Use of this interface is not recommended, as added methods to RestoreServiceServer will
// result in compilation errors.
type UnsafeRestoreServiceServer interface {
	mustEmbedUnimplementedRestoreServiceServer()
}

func RegisterRestoreServiceServer(s grpc.ServiceRegistrar, srv RestoreServiceServer) {
	s.RegisterService(&RestoreService_ServiceDesc, srv)
}

func _RestoreService_FetchRestoreToProcess_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(FetchRestoreToProcessRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(RestoreServiceServer).FetchRestoreToProcess(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/api.infranetes.autodevops.v1.RestoreService/FetchRestoreToProcess",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(RestoreServiceServer).FetchRestoreToProcess(ctx, req.(*FetchRestoreToProcessRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _RestoreService_UpdateRestore_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(UpdateRestoreRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(RestoreServiceServer).UpdateRestore(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/api.infranetes.autodevops.v1.RestoreService/UpdateRestore",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(RestoreServiceServer).UpdateRestore(ctx, req.(*UpdateRestoreRequest))
	}
	return interceptor(ctx, in, info, handler)
}

// RestoreService_ServiceDesc is the grpc.ServiceDesc for RestoreService service.
// It's only intended for direct use with grpc.RegisterService,
// and not to be introspected or modified (even as a copy)
var RestoreService_ServiceDesc = grpc.ServiceDesc{
	ServiceName: "api.infranetes.autodevops.v1.RestoreService",
	HandlerType: (*RestoreServiceServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "FetchRestoreToProcess",
			Handler:    _RestoreService_FetchRestoreToProcess_Handler,
		},
		{
			MethodName: "UpdateRestore",
			Handler:    _RestoreService_UpdateRestore_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "infranetes/autodevops/v1/restore.proto",
}
